Besoin d'aide charpente bois

Forum destiné aux questions et discussions en français
Forum rules
Règles du forum et informations utiles.

VEUILLEZ LIRE CECI AVANT DE DEMANDER DE L'AIDE
User avatar
petit_chat_noir
Posts: 36
Joined: Wed Oct 02, 2019 6:45 pm

Besoin d'aide charpente bois

Postby petit_chat_noir » Thu Oct 03, 2019 8:20 pm

Bonsoir,
Je découvre tout doucement les fonctionnalités de freecad, et je suis en train de dessiner un plancher bois dans Arch.
Premier soucis j'ai installé mes solives via un réseau, je souhaite les couper suivant une pièce et là problème. La partie que je souhaite enlever ne disparait pas, pourtant cela fonctionne avec une pièce unique.
Je vous joint mon fichier. Je suis actuellement en version 19.pre suite à un problème avec les matériaux...

Soit(et c'est sûrement le cas) je m'y prend mal, soit ca va vraiment être galère de couper les pièces une à unes !
Attachments
19-045.FCStd
(379.03 KiB) Downloaded 16 times
User avatar
rockn
Posts: 1573
Joined: Wed Sep 28, 2011 10:39 am
Location: Toulouse, France
Contact:

Re: Besoin d'aide charpente bois

Postby rockn » Thu Oct 03, 2019 9:25 pm

Bonsoir,

J'ai ouvert ton fichier avec cette version :

Code: Select all

OS: Ubuntu 18.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.3.
Build type: Release
Python version: 3.6.8
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/France (fr_FR)
Il doit y avoir une incohérence dans ton réseau, si je zoome vers le début des solives, je vois comme si il y avait une copie de solive dans la direction de la longueur...
Donc il y a des solides imbriqués, donc l'opération booléenne de soustraction échoue.

Chez moi je ne vois pas le réseau (peut être passage 0.19 à 0.18), j'ai un objet Compound à la place...
Formations et tutoriels FreeCAD en Français, soutenez moi : https://www.tipeee.com/formations-freecad
User avatar
papyblaise
Posts: 547
Joined: Thu Jun 13, 2019 4:28 pm
Location: France

Re: Besoin d'aide charpente bois

Postby papyblaise » Fri Oct 04, 2019 6:54 am

Salut ,
Il semble qu'il y ai un problème avec le matériau de "Structure (Freecad est-il encore à l'age de prierre :lol: )
si je créé mon propre pad et soustraire à la poutre de base ,et je peu la mettre en réseau , ça marche , si je fais un réseau de plusieurs poutres et essayes de couper avec le même pad , on voit le trait de coupe , c'est tout
En reprenant ta poutre et essaye de la coupée avec ton cutvolume , il reste l'âme de la poutre , je soupçonnerais que la poutre n'est pas une structure compact , mais un assemble de 3
Essayes de la refaire avec un sketch extruder , pour voir
User avatar
papyblaise
Posts: 547
Joined: Thu Jun 13, 2019 4:28 pm
Location: France

Re: Besoin d'aide charpente bois

Postby papyblaise » Fri Oct 04, 2019 9:22 am

J'en sai rien, je comprends rien : j'essaye de refaire ta poutre en partant de zéro : sketch > Pad , >clone déplacé de 12.5m, > réseau polaire de 24 pièces , création d'un nouveau volume de coupe >soustraction Booleen et Crash :!: :!:
C'est bien la première fois que ça m'arrive , mais à mon âge c'est toujours bon de faire des découverte :lol:
User avatar
petit_chat_noir
Posts: 36
Joined: Wed Oct 02, 2019 6:45 pm

Re: Besoin d'aide charpente bois

Postby petit_chat_noir » Fri Oct 04, 2019 10:00 am

C'est bon j'ai trouvé !
En fait le réseau comportais une rangée ou colone de trop avec un décalage de .... 1cm ou un 1mm.
Concernant le profil de la poutrelle je l'ai refait en mode polyligne, j'avais comme disait papy blaise une âme non coupée, et maintenant ça marche.
Je vous joint le fichier.
J'ai beaucoup de mal encore avec la sélection, j'aimerais inverser la sélection pour masquer tout, sauf ma/mes pièce/s, je ne sais pas si vous connaissez blender mais la sélection d'objets est juste top!
Autre point qui me chagrine, je viens de sketcher un contour dans le but de faire mon plancher OSB, je fait donc ma polyligne je clique sur l'outil panneau, et hop il me crée le panneau sans demander ni épaisseur, ni la direction d'extrusion... dommage faut aller gratter dans les données une fois créé.

Nota: pour les poutre I en bois je pense créer une petite bibliothèque un peu comme les IPE en métal. Je voudrais aussi ajouter des formats de panneaux standard dans FreeCad mais je ne sais pas à qui demander pour les avoir par défaut direct dans le logiciel. Autant faire avancer le truc !
Attachments
19-045.FCStd
(330.93 KiB) Downloaded 8 times
User avatar
papyblaise
Posts: 547
Joined: Thu Jun 13, 2019 4:28 pm
Location: France

Re: Besoin d'aide charpente bois

Postby papyblaise » Fri Oct 04, 2019 10:31 am

Bon , bonne chose faite
Pour la sélection , c'est pas sorcier : soit tu click direct sur l'objet , soit tu click sur son nom dans l'arboressance
l'objet panneaux , je suppose que tu parles de l'outil de Arch , dans Arch les outils sont un peu des préprogrammés , ils exécutent immédiatement la fonctions et après il est vrai ils faut aller dans "Donnèes" pour modifier
si tu veus avoir la maîtrise , utilise l'atelier Part qui va très bien avec Arch
User avatar
petit_chat_noir
Posts: 36
Joined: Wed Oct 02, 2019 6:45 pm

Re: Besoin d'aide charpente bois

Postby petit_chat_noir » Fri Oct 04, 2019 11:15 am

On ne s'est pas compris sur la sélection, mais je viens de regratter une macro d'une autre personne :

Code: Select all

import FreeCAD
from PySide import QtGui
#Macro_HideAllObjectsWithoutSelected
__title__="Macro_HideAlls without selected"
__author__ = "JeromeL"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.00"
__date__    = "04/10/2019"

try:
    for ShapeNameObj in FreeCAD.ActiveDocument.Objects:
        if FreeCADGui.Selection.isSelected(ShapeNameObj) is not True:        
            FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility = False
except Exception:
    None
Cette macro masque tous les élément sauf celui sélectionné